curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"job_family_name": "Software Engineer",
"last_updated": "2021-01-21T17:32:28Z",
"job_family_group": "IT & Engineering",
"active": true,
"custom_properties": [
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Job Family
Get the Job Family information stored inside the system.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Job Family ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Query Parameters
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties ["custom_properties"]
Response
OK
Default structure for Job Family.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Job Family.
1 - 255"Software Engineer"
Timestamp of the last update to this entity.
"2021-01-21T17:32:28Z"
Name of the Job Family Group.
1 - 255"IT & Engineering"
The Job Family will not be used in matching if active is false. This is useful when a Job Family is being phased out.
true
A list of properties for a given entity. Property values are either strings or numbers.
Show child attributes
Show child attributes
[
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
Was this page helpful?